%define name 	gtkglextmm
%define version	1.2.0
%define release	%mkrel 1

%define major	1.2

%define libname_orig	lib%{name}
%define libname	%mklibname gtkglextmm %{major}

Summary: 	gtkglextmm is a C++ wrapper for GtkGlExt
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	LGPLv2+
Group: 		Development/GNOME and GTK+
URL: 		http://gtkglext.sourceforge.net
Source0: 	%{name}-%{version}.tar.bz2
Patch0: 	gtkglextmm-1.2.0-aclocal.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtkglext-devel
BuildRequires:  gtkmm2.4-devel

%description
gtkglextmm is a C++ wrapper for GtkGlExt, an OpenGL extension to GTK+.

%package -n %{libname}
Summary: 	Development tools for gtkglextmm
Group: 		Development/GNOME and GTK+
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
gtkglextmm is a C++ wrapper for GtkGLExt. C++ programmers can use it to
write GTK+-based OpenGL applications using gtkmm 2.

%package -n	%{libname}-devel
Group:		Development/C++
Summary:	Headers and static lib for gtkglextmm development
Requires:	%{libname} = %{version}
Requires: 	gtkmm2.4-devel
Requires: 	gtkglext-devel
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
The gtkglextmm-devel package contains the header files, static libraries, and developer docs for gtkglextmm.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%doc ChangeLog README TODO AUTHORS COPYING.LIB COPYING NEWS
%{_libdir}/libgtkglextmm-x11-*so.*
%{_libdir}/libgdkglextmm-x11-*so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}-%{major}/html/*
%{_includedir}/*
%{_libdir}/%{name}-%{major}
%{_libdir}/lib*la
%{_libdir}/lib*so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*


%changelog
* Sun Aug 10 2008 don_crissti <don_crissti@gmx.com> 1.2.0-1pclos2007
- initial build for PCLinuxOS

